Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.stub
Class BusinessActivityTerminatorStub

    java.lang.Object
      com.arjuna.wst.stub.BusinessActivityTerminatorStub

All Implemented Interfaces:
  BusinessActivityTerminator

public class BusinessActivityTerminatorStub
extends java.lang.Object
implements BusinessActivityTerminator

Constructor Summary
`BusinessActivityTerminatorStub(java.lang.String id, com.arjuna.webservices.wsaddr.EndpointReferenceType terminationParticipant)`

Method Summary
`void` | `cancel()`
`void` | `close()`
`void` | `complete()`
`void` | `error()`
`void` | `unknown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessActivityTerminatorStub

    public BusinessActivityTerminatorStub(java.lang.String id,
                                          com.arjuna.webservices.wsaddr.EndpointReferenceType terminationParticipant)
                                   throws java.lang.Exception

Method Detail

### close

    public void close()
               throws TransactionRolledBackException,
                      UnknownTransactionException,
                      SystemException

  Specified by:
    `close` in interface `BusinessActivityTerminator`
  Throws:
    `TransactionRolledBackException`
    `UnknownTransactionException`
    `SystemException`

### cancel

    public void cancel()
                throws FaultedException,
                       UnknownTransactionException,
                       SystemException

  Specified by:
    `cancel` in interface `BusinessActivityTerminator`
  Throws:
    `FaultedException`
    `UnknownTransactionException`
    `SystemException`

### complete

    public void complete()
                  throws FaultedException,
                         UnknownTransactionException,
                         SystemException

  Specified by:
    `complete` in interface `BusinessActivityTerminator`
  Throws:
    `FaultedException`
    `UnknownTransactionException`
    `SystemException`

### unknown

    public void unknown()
                 throws SystemException

  Throws:
    `SystemException`

### error

    public void error()
               throws SystemException

  Throws:
    `SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD